package com.ruoyi.bst.hardwareVersion.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 硬件版本对象 bst_hardware_version
 *
 * @author ruoyi
 * @date 2025-04-07
 */
@Data
public class HardwareVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "父版本id")
    @ApiModelProperty("父版本id")
    private Long parentId;

    @Excel(name = "祖级列表")
    @ApiModelProperty("祖级列表")
    private String ancestors;

    @Excel(name = "版本号")
    @ApiModelProperty("版本号")
    private String version;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("生产时间")
    private Date productionTime;

    @Excel(name = "数量")
    @ApiModelProperty("数量")
    private Integer quantity;

    @Excel(name = "已绑定")
    @ApiModelProperty("已绑定")
    private Integer bound;

    @Excel(name = "未绑定")
    @ApiModelProperty("未绑定")
    private Integer unBound;

    @Excel(name = "丢损")
    @ApiModelProperty("丢损")
    private Integer lost;

    @Excel(name = "已录入数量")
    @ApiModelProperty("已录入数量")
    private Integer enteredNum;

    @Excel(name = "未录入数量")
    @ApiModelProperty("未录入数量")
    private Integer notEnteredNum;

    @Excel(name = "版本说明")
    @ApiModelProperty("版本说明")
    private String instructions;

}
