package com.ruoyi.bst.order.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import com.ruoyi.bst.orderDevice.domain.OrderDeviceVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderVO extends Order {

    @ApiModelProperty("当前设备ID")
    private Long deviceId;
    
    @ApiModelProperty("当前设备MAC")
    private String deviceMac;

    @ApiModelProperty("当前设备SN")
    private String deviceSn;

    @ApiModelProperty("当前设备车牌号")
    private String deviceVehicleNum;
    
    @ApiModelProperty("当前设备所属用户ID") 
    private Long deviceMchId;

    @ApiModelProperty("运营区名称")
    private String areaName;

    @ApiModelProperty("运营区联系人")
    private String areaContact;

    @ApiModelProperty("运营区联系电话")
    private String areaPhone;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("支付单号")
    private String payNo;

    @ApiModelProperty("支付已退款金额")
    private BigDecimal payRefunded;

    @ApiModelProperty("支付退款中金额")
    private BigDecimal payRefunding;

    @ApiModelProperty("支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty("支付渠道名称")
    private String payChannelName;

    @ApiModelProperty("用户手机号")
    private String userPhone;

    @ApiModelProperty("订单设备列表")
    private List<OrderDeviceVO> orderDeviceList;
}
