package com.ruoyi.dashboard.domain.platformStat;

import java.math.BigDecimal;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PlatformStatVO {
    @ApiModelProperty("订单支付金额")
    private BigDecimal orderPayAmount;

    @ApiModelProperty("订单退款金额") 
    private BigDecimal orderRefundAmount;

    @ApiModelProperty("订单数量")
    private Integer orderCount;

    @ApiModelProperty("今日订单支付金额")
    private BigDecimal todayOrderPayAmount;

    @ApiModelProperty("今日订单退款金额")
    private BigDecimal todayOrderRefundAmount;

    @ApiModelProperty("今日订单数量")
    private Integer todayOrderCount;

    @ApiModelProperty("车辆总数")
    private Integer deviceCount;

    @ApiModelProperty("车型总数")
    private Integer modelCount;

    @ApiModelProperty("运营区数量")
    private Integer areaCount;

    @ApiModelProperty("加盟商数量")
    private Integer areaJoinJoinCount;

    @ApiModelProperty("合伙人数量")
    private Integer areaJoinPartnerCount;

    @ApiModelProperty("用户总数")
    private Integer userCount;

    @ApiModelProperty("今日新增用户数")
    private Integer todayUserCount;

    @ApiModelProperty("运营商数量")
    private Integer userMchCount;

    @ApiModelProperty("代理商数量")
    private Integer userAgentCount;

    @ApiModelProperty("商户余额")
    private BigDecimal userBalance;

    @ApiModelProperty("累计提现金额")
    private BigDecimal withdrawSuccessAmount;

    @ApiModelProperty("设备状态")
    private Map<String, Integer> deviceStatusCount;

    @ApiModelProperty("设备在线状态")
    private Map<String, Integer> deviceOnlineStatusCount;

    @ApiModelProperty("订单状态")
    private Map<String, Integer> orderStatusCount;
}
